public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/catkin_pkg/
Date: Tue, 15 Jan 2019 10:46:53 +0000 (UTC)	[thread overview]
Message-ID: <1547549205.1433b5733b6ff5cba119bc99a2809ed8fd621e4e.aballier@gentoo> (raw)

commit:     1433b5733b6ff5cba119bc99a2809ed8fd621e4e
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 15 10:37:47 2019 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Jan 15 10:46:45 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1433b573

dev-python/catkin_pkg: bump to 0.4.10

Package-Manager: Portage-2.3.56, Repoman-2.3.12
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 dev-python/catkin_pkg/Manifest                 |  1 +
 dev-python/catkin_pkg/catkin_pkg-0.4.10.ebuild | 55 ++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/catkin_pkg/Manifest b/dev-python/catkin_pkg/Manifest
index eec9b369dd5..b3c7b434c3b 100644
--- a/dev-python/catkin_pkg/Manifest
+++ b/dev-python/catkin_pkg/Manifest
@@ -1 +1,2 @@
+DIST catkin_pkg-0.4.10-gh.tar.gz 61272 BLAKE2B e4246d602fd8b8a8b8dda4f412aac4f88ae3328bf2602268566a0f761fa7c435412ae36f563e8082a2e0497c92ca302ea7505dfb32802d3ff00fe4323cd361b1 SHA512 55c2a03c922f647f25e74dce33486d09070c3089dfe2ae26d0673752298d6bb55652b9079b32694c9d80f52ae55fef2fac9f853b6d0b9d6121e6e8c233dc3530
 DIST catkin_pkg-0.4.9-gh.tar.gz 60919 BLAKE2B e7d4987022359fa7306df77ede2e07b2371bfa16b9787e513dd096ffe3988f9b7e6cbf61b96e00992334dadc6052811c20e0b7ea6c9198db332c1eac545c5031 SHA512 53e8440c0768b221526d134c5609c3088dd02e214150253469fe5883665936472486792db2d69c05fd352949f2350bda5960e71cd54e3f1d9164e0915c963295

diff --git a/dev-python/catkin_pkg/catkin_pkg-0.4.10.ebuild b/dev-python/catkin_pkg/catkin_pkg-0.4.10.ebuild
new file mode 100644
index 00000000000..34cb49f2197
--- /dev/null
+++ b/dev-python/catkin_pkg/catkin_pkg-0.4.10.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy{,3} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+	SCM="git-r3"
+	EGIT_REPO_URI="https://github.com/ros-infrastructure/catkin_pkg"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Standalone Python library for the catkin package system"
+HOMEPAGE="http://wiki.ros.org/catkin_pkg"
+if [ "${PV#9999}" != "${PV}" ] ; then
+	SRC_URI=""
+	KEYWORDS=""
+else
+	SRC_URI="https://github.com/ros-infrastructure/catkin_pkg/archive/${PV}.tar.gz -> ${P}-gh.tar.gz"
+	KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	dev-python/docutils[${PYTHON_USEDEP}]
+	dev-python/python-dateutil[${PYTHON_USEDEP}]
+	dev-python/pyparsing[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/nose[${PYTHON_USEDEP}]
+	)
+"
+DEPEND="${RDEPEND} ${BDEPEND}
+	test? (
+		dev-python/flake8[${PYTHON_USEDEP}]
+		dev-python/mock[${PYTHON_USEDEP}]
+	)"
+RDEPEND="${RDEPEND}
+	!<dev-util/catkin-0.7.14"
+PATCHES=(
+	"${FILESDIR}/catkin_prefix2.patch"
+	"${FILESDIR}/ros_packages.patch"
+	"${FILESDIR}/infinite_loop3.patch"
+)
+
+python_test() {
+	nosetests -s --tests test || die
+}


             reply	other threads:[~2019-01-15 10:46 UTC|newest]

Thread overview: 28+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-01-15 10:46 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-03-09 14:09 [gentoo-commits] repo/gentoo:master commit in: dev-python/catkin_pkg/ Alexis Ballier
2021-09-23 14:07 Arthur Zamarin
2020-10-13 11:31 Alexis Ballier
2020-09-30 10:07 Alexis Ballier
2020-08-17 12:53 Sam James
2020-03-18 18:39 Michał Górny
2019-12-11 15:26 Alexis Ballier
2019-05-07 10:00 Alexis Ballier
2019-01-15 10:46 Alexis Ballier
2018-12-03 16:12 Alexis Ballier
2018-08-17 13:08 Alexis Ballier
2018-07-30 16:34 Alexis Ballier
2018-07-30 16:34 Alexis Ballier
2018-01-28 15:10 Alexis Ballier
2018-01-28 12:54 Alexis Ballier
2018-01-28 12:54 Alexis Ballier
2017-11-04 13:23 Alexis Ballier
2017-10-14 11:41 Alexis Ballier
2017-05-30  7:00 Alexis Ballier
2017-05-25 15:48 Alexis Ballier
2017-02-28 11:27 Alexis Ballier
2017-02-27 10:49 Alexis Ballier
2017-02-27 10:49 Alexis Ballier
2017-02-16  4:32 Alexis Ballier
2017-02-15 13:24 Alexis Ballier
2017-02-09 17:46 Alexis Ballier
2016-02-23 15:43 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1547549205.1433b5733b6ff5cba119bc99a2809ed8fd621e4e.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox